Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class EPPEnvException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.exception.EPPException
                  com.verisign.epp.util.EPPEnvException

All Implemented Interfaces:
  java.io.Serializable

    public class EPPEnvException

extends EPPException

Thrown when an unexpected condition or undesirable behavior is encountered pertaining to this package.

Since:
  JDK1.0
Version:
  $Id: EPPEnvException.java,v 1.2 2004/01/26 21:21:07 jim Exp $
Author:
  P. Amiri
See Also:
  `Exception`, Serialized Form

Constructor Summary
`EPPEnvException(java.lang.String newDescription)` Constructs an Exception with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEnvException

    public EPPEnvException(java.lang.String newDescription)

  Constructs an Exception with the specified detail message. This message should provide information about the source, reasons and any other useful facts that could justifies the reason the exception is thrown.

  Parameters:
    `newDescription` - String containing a detailed message.
  See Also:
    `Exception.Exception(String newDesc)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.